Skip to main content
`Ctrl`+`K`

# PetscSFViewFromOptions

View a `PetscSF` based on arguments in the options database

## Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFViewFromOptions(PetscSF A, PetscObject obj, const char name[])

Collective

## Input Parameters

- A - the star forest

- obj - Optional object that provides the prefix for the option names

- name - command line option

## Note

See `PetscObjectViewFromOptions()` for possible `PetscViewer` and `PetscViewerFormat`

## See Also

PetscSF - an alternative to low-level MPI calls for data communication, `PetscSF`, `PetscSFView`, `PetscObjectViewFromOptions()`, `PetscSFCreate()`

## Level

intermediate

## Location

src/vec/is/sf/interface/sf.c

## Examples

src/dm/impls/plex/tutorials/ex15.c

Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages